<div class="content products-content blank" >
        <div class="category">
            <div class="category-head">
                <span class="category-name">{$category['name']}</span>
                {if !empty($category['id'])}
                {if $category_rights>1}<span class="category-menu">
                    <a href="?module=products&action=categoryEdit&id={$category['id']}" class="inline" target="_blank">
                        <i class="icon16 settings"></i>Настройки категории
                    </a>
                    <a href="?module=product&action=edit&category={$category['id']}" class="inline" target="_blank"><i class="icon16 add"></i>Новый товар </a>
                </span>{/if}
                {/if}
                <ul class="menu-h view-type">
                    <li>
                        <a href="#" data-type="table" title="Скрыть цены"><i class="icon16 view-table"></i></a>
                    </li>
                    <li>
                        <a href="#" data-type="thumb-list"  title="Показать цены"><i class="icon16 view-thumb-list"></i></a>
                    </li>
                </ul>
            </div>
            {if !empty($products)}
            <div class="products">
                {$sub = $category->getSubCategories()}
                <table border="0" cellpadding="5" rules="all" cellspacing="0" class="product-list zebra {if empty($sub)}sortable{/if}">
                    <tr>
                        <th class="min-width"></th>
                        <th style="width: 400px;">Название</th>
                        <th class="min-width">Цена</th>
                        <th class="short nowrap"></th>
                        <th class="min-width"></th>
                    </tr>
                    {foreach $products as  $product}
                    <tr class="hide"><td colspan="5"></td></tr>
                    <tr id="product-{$product->getId()}">
                        <td><input type="checkbox" class="product-select" value="{$product->getId()}"></td>
                        <td ><a href="#" target="_blank" class="inline toggle-prices">
                            {$product->getName()}</a></td>
                        <td class="short nowrap">{$min_max_price = $product->getMinMaxPrice()}
                            {if $min_max_price['min']==$min_max_price['max']}
                            {$default_price->calculate($min_max_price['min'])} руб.
                            {else}
                            {$default_price->calculate($min_max_price['min'])} ... {$default_price->calculate($min_max_price['max'])} руб.
                            {/if}
                        </td>
                        <td class="short nowrap product_details">
                            <a  href="#" class="product-details" data-product_id="{$product->getId()}" style="color: #C00;">
                                Посмотреть состав
                            </a></td>
                        <td class="min-width">
                            {if $category_rights>1}<a href="?module=product&action=edit&id={$product->getId()}">
                            Редактировать
                        </a>{/if}</td>
                    </tr>
                    <tr class="product-prices hide">
                        <td colspan="5">
                            <div class="LogOutForm">
                                <div >
                                    <table   border="0" cellspacing="0" cellpadding="5" class="zebra">
                                        <tr class="product-offers">
                                            <td>Размеры</td>
                                            {foreach $product->getSkus() as $kof => $vof}
                                            <td align="center"  data-id="{$vof->getId()}"><span class="sort">{$vof->getName()}</span></td>
                                            {/foreach}
                                        </tr>
                                        {$offers = $product->getSkus()}
                                        {foreach $prices as $ck => $cv}
                                        <tr>
                                            {if $cv->getType()=='delimiter'}
                                            <td colspan="{count($offers)+1}" class="price-delimiter">{$cv->getName()}</td>
                                            {else}
                                            <td colspan="1"><strong>{$cv->getFullName()}:</strong></td>
                                            {foreach $offers as $fid => $offdata}

                                            {$price = $offdata->getPrice($ck)}
                                            {if $price->getType()=='value'}
                                            {if $price->calculate()==0}
                                            <td colspan="1">
                                                <div data-offer_id="{$offdata->getId()}" data-price_id="{$price->getId()}" class="offer_price">
                                                    <input type="text" name="offer_price[{$offdata->getId()}]" class="offer_price_input">
                                                    <span  class="offer_price_value"></span>
                                                </div>
                                            </td>
                                            {else}
                                            <td colspan="1">
                                                <div data-offer_id="{$offdata->getId()}" data-price_id="{$price->getId()}" class="offer_price">
                                                    <input type="hidden" name="offer_price[{$offdata->getId()}]" class="offer_price_input" value="{$price->calculate()}">
                                                    <span  class="offer_price_value">{$price->calculate()}</span>
                                                </div>
                                            </td>
                                            {/if}
                                            {else}
                                            <td colspan="1">{$price->calculate()}</td>
                                            {/if}

                                            {/foreach}
                                            {/if}

                                        </tr>
                                        {/foreach}

                                    </table>
                                </div>

                            </div>
                        </td>
                    </tr>
                    {/foreach}
                </table>
            </div>
            {/if}
            <div class="clear-both"></div>
        </div>

</div>
    <style type="text/css">
        {literal}
        .price-delimiter {
            text-align: center;
            background-color: #bfddfb !important;
            font-size: 14px;
            font-weight: bold;
        }
        {/literal}
    </style>
    <script>
        {literal}
        $('.toggle-prices').click(function () {
            var $prices_container = $(this).closest('tr').next();
           $prices_container.toggleClass('hide');
            return false;
        });
        $('.view-type a').click(function () {
            if($(this).data('type')=='table') {
                if(!$(this).closest('.category').find('.product-prices').hasClass('hide')){
                    $(this).closest('.category').find('.product-prices').addClass('hide');
                }
            } else {
                $(this).closest('.category').find('.product-prices').removeClass('hide');
            }
            return false;

        });
        $('.product-offers').sortable({
            'distance': 5,
            'opacity': 0.75,
            connectWith: '.product-offers',
           // 'items': '.sort',
            'handle': '.sort',
            'cursor': 'move',
            'tolerance': 'pointer',
            'start': function () {
                $('.block.drop-target').addClass('drag-active');
            },
            'stop': function (e,ui) {
                var success = function(response) {

                };
                var item = ui.item;
                var item_after = item.prev();
                var data = {'id':item.data('id'),'after_id':item_after.data('id')};
                $.post('?module=product&action=SkuSort',{'id':item.data('id'),'after_id':item_after.data('id')}, success, 'json');
                $('.block.drop-target').removeClass('drag-active');

            }
        });
        {/literal}
    </script>